package com.ssv.test.airbase.contest.expressions;

import com.ssv.test.airbase.contest.Scope;
import com.ssv.test.airbase.contest.Scope.Variable;
import com.ssv.utils.parser.Parser.ParserContext;

public class ExpressionVariable extends AssignableVariable {
	private static final long serialVersionUID = -8285999514245883702L;

	public ExpressionVariable(String ident, ParserContext ctx) {
		super(ctx);
		var = Scope.getVariable(ident);
	}	

	public ExpressionVariable(Variable var, ParserContext ctx) {
		super(ctx);
		this.var = var;
	}		
	
	final Scope.Variable var;

	public Scope.Variable getVariable() {
		return var;
	}
	
	public String toString() {
		return var.toString();
	}
}
