package com.ssv.test.airbase.contest.operators;

import com.ssv.test.airbase.contest.Execution;
import com.ssv.test.airbase.contest.Expression;
import com.ssv.test.airbase.contest.Operator;
import com.ssv.utils.parser.ParserException;

/**
 * 
 *  .<p>
 * 
 * <code>
 * var1=1;
 * </code>
 *  
 * 
 * @author Sergey Siryk
 */

public class ExpressionOperator implements Operator {	
	public ExpressionOperator(Expression expression) {
		this.expression = expression; 
	}			

	final Expression expression;
	
	public void run() throws ParserException {
		expression.evaluate();
	}
	
	public void generate(Execution execution) {
		execution.add(this);
	}	
}
