package com.ssv.test.airbase.contest.expressions;

import com.ssv.test.airbase.contest.Expression;
import com.ssv.utils.parser.Parser.ParserContext;

/**
 *       . 
 * @author Sergey Siryk
 */
public class ExpressionConstant extends Expression {
	
	public ExpressionConstant(double number, ParserContext ctx) {
		super(null,null,ctx);
		constant = number;
	}
	
	private static final long serialVersionUID = 6373636020804123065L;

	final double constant;
	
	public String toString() {
		return ""+constant;
	}
	
	public double evaluate() {
		return constant;
	}
}
