package com.ssv.test.airbase.contest.operators;

import java.util.ArrayList;
import java.util.List;

import com.ssv.test.airbase.contest.Execution;
import com.ssv.test.airbase.contest.Expression;
import com.ssv.test.airbase.contest.Function;
import com.ssv.test.airbase.contest.Functions;
import com.ssv.test.airbase.contest.Operator;
import com.ssv.utils.parser.ParserException;

/**
 *   .<p>
 *  
 * <pre><code>
 * 		func(operan1, operand2);
 * </code></pre>
 * @author sergey
 */

public class FunctionOperator implements Operator {	

	public FunctionOperator(String name, List<Expression> parms) {
		this.parms = parms;
		action=Functions.getFunction(name);
	}	
	
	/**
	 *     .
	 */
	final Function action;
	
	/**
	 * ,  .
	 */
	final List<Expression> parms;

	public void run() throws ParserException {
		List<Double> listparm = new ArrayList<Double>();
		/*    . */
		for(Expression prm:parms) {
			listparm.add(prm.evaluate());
		}
		/*    */ 
		action.evaluate(listparm);
	}
	
	public void generate(Execution execution) {
		execution.add(this);
	}	
}
